/******************++***
***                  ***
*** Animation Viewer ***
***                  ***
***       V1.1       ***
***                  ***
************************
*** ...by Clayman
*** 28.07.2009
************************/


CLAY_End = false;
CLAY_Dialog = false;
CLAY_AnimUnit = Animator1;

CLAY_CamOffsetX = 0;
CLAY_CamOffsetY = 1;
CLAY_CamZoomX = 3.5;
CLAY_CamZoomY = 0;
CLAY_CamDir = 1;


waitUntil {CLAY_Dialog};
[] execVM "refresh.sqf";


_cam = "Camera" camcreate [0, 0, 0];
_cam cameraEffect ["internal","front"];

while {CLAY_Dialog} do
{
	scopeName "Loop";
	showCinemaBorder false;
	If (!dialog) Then {breakOut "Loop"};

	_cam camSetTarget [(getpos CLAY_AnimUnit select 0) + CLAY_CamOffsetX, (getpos CLAY_AnimUnit select 1) + CLAY_CamOffsetY, 1];
	_cam camSetRelPos [CLAY_CamZoomX, CLAY_CamZoomY, 0];
	_cam camCommit 0;

	sleep 0.01;
};

_cam cameraEffect ["terminate","front"];
camDestroy _cam;

CLAY_End = true;
