onload = function(){

    window['all pre'] = document.getElementsByTagName('pre')
    window['wrap pre'] = false
    window['no highlight'] = false

    var tbody = document.getElementsByTagName('body')[0];
    var toggleHighligh = document.createElement('div')
        toggleHighligh.innerHTML = 'H'
    var toggleWrapPre = document.createElement('div')
        toggleWrapPre.innerHTML = 'W'
    var hintBlock = document.createElement('div')

    toggleHighligh.id = 'toggleHighligh'
    toggleWrapPre.id = 'toggleWrapPre'
    hintBlock.id = 'hintBlock'
    hintBlock.style.position = 'absolute'
    hintBlock.style.display = 'none'

    toggleHighligh.onclick = function(){
        for( var i = 0, els = window['all pre'], pre; pre = els[i++]; ){
            pre.className = window['no highlight'] ?
                pre.className.replace(/\bnohighlight\b/,'') :
                pre.className + ' nohighlight'
        }
        window['no highlight'] = ! window['no highlight']
    }

    toggleWrapPre.onclick = function(){
        for( var i = 0, els = window['all pre'], pre; pre = els[i++]; ){
            if(!window['wrap pre']){
                pre.style.overflowX = 'visible'
                pre.style.whiteSpace = 'normal'
                pre.style.wordWrap = 'break-word';
            }else{
                pre.style.overflowX = ''
                pre.style.whiteSpace = 'pre'
                pre.style.wordWrap = '';
            }
        }
        window['wrap pre'] = !window['wrap pre']
    }

    tbody.appendChild(toggleHighligh)
    tbody.appendChild(toggleWrapPre)
    tbody.appendChild(hintBlock)

    //hintBlock.onmouseout = function(e){
    //    setTimeout(function(){hintBlock.style.display = 'none'},300)
    //}

    treeWalkTagOnly(tbody, function(n)
        {
            var attr;
            if( attr = n.getAttribute('title')){
                n.setAttribute('hint', attr.replace(/\n/gi,"<br>"))
                n.removeAttribute('title')
                n.onmousedown = function(e){
                    var c = document.getElementsByTagName((document.compatMode&&document.compatMode=='CSS1Compat')?'html':'body')[0];
                    hintBlock.innerHTML = this.getAttribute('hint')
                    hintBlock.style.left = ( window.event ? window.event.clientX + c.scrollLeft : e.pageX ) + 10
                    hintBlock.style.top = ( window.event ? window.event.clientY + c.scrollTop  : e.pageY ) - 10
                    hintBlock.style.display = ''
                    n.onmouseout = function(e){
                        n.onmouseout = null
                        document.getElementsByTagName("body")[0].onmousedown = function(){
                            hintBlock.style.display = 'none'
                            document.getElementsByTagName("body")[0].onmousedown = null
                        }
                    }
                }
            }
        }
    )
}

function treeWalkTagOnly(node,code){
    for( var i = 0, child; child = node.childNodes[i++]; )
        child.tagName && treeWalkTagOnly(child,code)
    code(node)
}
